package dev.crucifixbeta.api.utils.combat.crystal;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.util.math.BlockPos;

@Environment(EnvType.CLIENT)
public record AsyncCrystalResult(BlockPos basePos, float damage, int breakCrystalId, BlockPos crystalPos, int displayTargetId) {
   public static AsyncCrystalResult empty() {
      return new AsyncCrystalResult(null, 0.0F, -1, null, -1);
   }
}
